function predicted_lab=belongto(testsample,data_train,label_train)
         %ind = zeros(max(label_train),1);
         alpha=zeros(size(data_train,1),max(label_train));   
         for i=1:size(data_train,1)
             for j = 1:max(label_train)
                 alpha(i,j)=mean(data_train(i,label_train==j));
             end
         end
         dis = zeros(1,max(label_train));
         for j = 1:max(label_train)
             dis(1,j) = (norm(testsample-alpha(:,j)))^2;%(data_test(:,i)-alpha(:,j)).^2;
         end
         predicted_lab = find(min(dis(1,:))==dis);
end

